# RadioLib: LoRaWANChannel_t Struct Reference

LoRaWANChannel_t Struct Reference

Structure to save information about LoRaWAN channels. To save space, adjacent channels are saved in "spans". More...

`#include <LoRaWAN.h>`

## Public Attributes

bool | enabled
| Whether this channel is enabled (can be used) or is disabled.
uint8_t | idx
| The channel number, as specified by defaults or the network.
uint32_t | freq
| The channel frequency (coded in 100 Hz steps)
uint8_t | drMin
| Minimum allowed datarate for this channel.
uint8_t | drMax
| Maximum allowed datarate for this channel (inclusive)
uint8_t | dr
| Datarate currently in use on this channel.
bool | available
| Whether this channel is available for channel selection.

## Detailed Description

Structure to save information about LoRaWAN channels. To save space, adjacent channels are saved in "spans".

The documentation for this struct was generated from the following file:

- src/protocols/LoRaWAN/LoRaWAN.h